btb-class |

# ImageLoadingProvider Members

ImageLoadingProvider overview

#### Public Static Methods

CompareSizes | Compare 'source' and 'frame' sizes by their dimensions.

#### Public Instance Properties

RestartOnExpand | Re-sort items and re-start loading when thumbnail size is increated.

#### Public Instance Methods

LoadItem | Perform single thumbnail loading pass on the specified item.
LoadItems | Perform single thumbnail loading pass on the items loaded on background and stored.

#### Protected Instance Constructors

ImageLoadingProvider Constructor | Initializes a new instance of the ImageLoadingProvider class.

#### Protected Instance Methods

LoadItemAsync | Perform single pass of thumbnail item loading on background.
LoadItemsSync | Perform single thumbnail loading pass on the items loaded on background and stored.
LoadItemSync | Perform single pass of thumbnail item loading on foreground.

#### See Also

ImageLoadingProvider Class | ComponentOwl.BetterThumbnailBrowser Namespace